ServiceAuthorizationManager (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class ServiceAuthorizationManager

    java.lang.Object
      org.apache.hadoop.security.authorize.ServiceAuthorizationManager

    public class ServiceAuthorizationManager

extends Object

An authorization manager which handles service-level authorization for incoming service requests.

Field Summary
`static String` | `SERVICE_AUTHORIZATION_CONFIG` Deprecated. Use `CommonConfigurationKeys.HADOOP_SECURITY_AUTHORIZATION` instead.

Constructor Summary
`ServiceAuthorizationManager()`

Method Summary
`void` | `authorize(UserGroupInformation user, Class<?> protocol, Configuration conf, InetAddress addr)` Authorize the user to access the protocol being used.
`void` | `refresh(Configuration conf, PolicyProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_AUTHORIZATION_CONFIG

    @Deprecated
    public static final String SERVICE_AUTHORIZATION_CONFIG

  Deprecated. Use `CommonConfigurationKeys.HADOOP_SECURITY_AUTHORIZATION` instead.
  Configuration key for controlling service-level authorization for Hadoop.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceAuthorizationManager

    public ServiceAuthorizationManager()

Method Detail

### authorize

    public void authorize(UserGroupInformation user,
                          Class<?> protocol,
                          Configuration conf,
                          InetAddress addr)
                   throws AuthorizationException

  Authorize the user to access the protocol being used.

  Parameters:
    `user` - user accessing the service
    `protocol` - service being accessed
    `conf` - configuration to use
    `addr` - InetAddress of the client
  Throws:
    `AuthorizationException` - on authorization failure

### refresh

    public void refresh(Configuration conf,
                        PolicyProvider provider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation